Loading...
Searching...
No Matches
IGUITable.h File Reference
`#include "IGUIElement.h"`
`#include "irrTypes.h"`
`#include "SColor.h"`
`#include "IGUISkin.h"`

Go to the source code of this file.

## Classes

class | irr::gui::IGUITable
| Default list box GUI element. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::gui
| The gui namespace contains useful classes for easy creation of a graphical user interface.

## Enumerations

enum | irr::gui::EGUI_COLUMN_ORDERING { irr::gui::EGCO_NONE , irr::gui::EGCO_CUSTOM , irr::gui::EGCO_ASCENDING , irr::gui::EGCO_DESCENDING , irr::gui::EGCO_FLIP_ASCENDING_DESCENDING , irr::gui::EGCO_COUNT }
| modes for ordering used when a column header is clicked More...
enum | irr::gui::EGUI_ORDERING_MODE { irr::gui::EGOM_NONE , irr::gui::EGOM_ASCENDING , irr::gui::EGOM_DESCENDING , irr::gui::EGOM_COUNT }
enum | irr::gui::EGUI_TABLE_DRAW_FLAGS { irr::gui::EGTDF_ROWS = 1 , irr::gui::EGTDF_COLUMNS = 2 , irr::gui::EGTDF_ACTIVE_ROW = 4 , irr::gui::EGTDF_COUNT }

## Variables

const c8 *const | irr::gui::GUIColumnOrderingNames []
| Names for EGUI_COLUMN_ORDERING types.
const c8 *const | irr::gui::GUIOrderingModeNames []

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0